E-MailRelay

Public Member Functions | List of all members
GNet::DnsMessageQuestion Class Reference

Represents DNS question record. More...

`#include <gdnsmessage.h>`

## Public Member Functions
| DnsMessageQuestion (const DnsMessage &, unsigned int offset)
| Constructor. More...
unsigned int | size () const
| Returns the record size. More...
unsigned int | qtype () const
| Returns the question QTYPE value. More...
unsigned int | qclass () const
| Returns the question QCLASS value. More...
std::string | qname () const
| Returns the question domain name (QNAME). More...

## Detailed Description

Represents DNS question record.

Definition at line 311 of file gdnsmessage.h.

## Constructor & Destructor Documentation

## ◆ DnsMessageQuestion()

GNet::DnsMessageQuestion::DnsMessageQuestion | ( | const DnsMessage & | msg,
|  | unsigned int | offset
| ) |  |

Constructor.

Definition at line 313 of file gdnsmessage.cpp.

## Member Function Documentation

## ◆ qclass()

unsigned int GNet::DnsMessageQuestion::qclass | ( |  | ) | const

Returns the question QCLASS value.

Definition at line 338 of file gdnsmessage.cpp.

## ◆ qname()

std::string GNet::DnsMessageQuestion::qname | ( |  | ) | const

Returns the question domain name (QNAME).

Definition at line 327 of file gdnsmessage.cpp.

## ◆ qtype()

unsigned int GNet::DnsMessageQuestion::qtype | ( |  | ) | const

Returns the question QTYPE value.

Definition at line 332 of file gdnsmessage.cpp.

## ◆ size()

unsigned int GNet::DnsMessageQuestion::size | ( |  | ) | const

Returns the record size.

Definition at line 322 of file gdnsmessage.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gdnsmessage.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gdnsmessage.cpp